OpenNMS API 1.2.9

## org.opennms.netmgt.config.xmlrpcd
Class ExternalServers

    java.lang.Object
      org.opennms.netmgt.config.xmlrpcd.ExternalServers

All Implemented Interfaces:
  java.io.Serializable

public class ExternalServers
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private int` `_elapseTime`
`private boolean` `_has_elapseTime` keeps track of state for field: _elapseTime
`private boolean` `_has_retries` keeps track of state for field: _retries
`private int` `_retries`
`private java.util.ArrayList` `_xmlrpcServerList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`ExternalServers()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addXmlrpcServer(int index, XmlrpcServer vXmlrpcServer)`
`void` `addXmlrpcServer(XmlrpcServer vXmlrpcServer)`
`void` `clearXmlrpcServer()`
`java.util.Enumeration` `enumerateXmlrpcServer()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`int` `getElapseTime()` Returns the value of field 'elapseTime'.
`int` `getRetries()` Returns the value of field 'retries'.
`XmlrpcServer[]` `getXmlrpcServer()`
`XmlrpcServer` `getXmlrpcServer(int index)`
`java.util.Collection` `getXmlrpcServerCollection()`
`int` `getXmlrpcServerCount()`
`boolean` `hasElapseTime()`
`boolean` `hasRetries()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeXmlrpcServer(XmlrpcServer vXmlrpcServer)`
`void` `setElapseTime(int elapseTime)` Sets the value of field 'elapseTime'.
`void` `setRetries(int retries)` Sets the value of field 'retries'.
`void` `setXmlrpcServer(int index, XmlrpcServer vXmlrpcServer)`
`void` `setXmlrpcServer(XmlrpcServer[] xmlrpcServerArray)`
`void` `setXmlrpcServerCollection(java.util.Collection vXmlrpcServer)`
`static ExternalServers` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _retries

    private int _retries

### _has_retries

    private boolean _has_retries

  keeps track of state for field: _retries

### _elapseTime

    private int _elapseTime

### _has_elapseTime

    private boolean _has_elapseTime

  keeps track of state for field: _elapseTime

### _xmlrpcServerList

    private java.util.ArrayList _xmlrpcServerList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### ExternalServers

    public ExternalServers()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addXmlrpcServer

    public void addXmlrpcServer(XmlrpcServer vXmlrpcServer)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vXmlrpcServer` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addXmlrpcServer

    public void addXmlrpcServer(int index,
                                XmlrpcServer vXmlrpcServer)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vXmlrpcServer` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearXmlrpcServer

    public void clearXmlrpcServer()

### enumerateXmlrpcServer

    public java.util.Enumeration enumerateXmlrpcServer()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getElapseTime

    public int getElapseTime()

  Returns the value of field 'elapseTime'.

  Returns:
    the value of field 'elapseTime'.

### getRetries

    public int getRetries()

  Returns the value of field 'retries'.

  Returns:
    the value of field 'retries'.

### getXmlrpcServer

    public XmlrpcServer getXmlrpcServer(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getXmlrpcServer

    public XmlrpcServer[] getXmlrpcServer()

### getXmlrpcServerCollection

    public java.util.Collection getXmlrpcServerCollection()

### getXmlrpcServerCount

    public int getXmlrpcServerCount()

### hasElapseTime

    public boolean hasElapseTime()

### hasRetries

    public boolean hasRetries()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeXmlrpcServer

    public boolean removeXmlrpcServer(XmlrpcServer vXmlrpcServer)

  Parameters:
    `vXmlrpcServer` -

### setElapseTime

    public void setElapseTime(int elapseTime)

  Sets the value of field 'elapseTime'.

  Parameters:
    `elapseTime` - the value of field 'elapseTime'.

### setRetries

    public void setRetries(int retries)

  Sets the value of field 'retries'.

  Parameters:
    `retries` - the value of field 'retries'.

### setXmlrpcServer

    public void setXmlrpcServer(int index,
                                XmlrpcServer vXmlrpcServer)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vXmlrpcServer` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setXmlrpcServer

    public void setXmlrpcServer(XmlrpcServer[] xmlrpcServerArray)

  Parameters:
    `xmlrpcServerArray` -

### setXmlrpcServerCollection

    public void setXmlrpcServerCollection(java.util.Collection vXmlrpcServer)

  Parameters:
    `vXmlrpcServer` -

### unmarshal

    public static ExternalServers unmarshal(java.io.Reader reader)
                                     throws org.exolab.castor.xml.MarshalException,
                                            org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.